# $Revision: 1.39.2.4 $, $Date: 2003/04/08 20:27:29 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBI
%define	pnam	DBI
Summary:	DBI - database independent interface for Perl
Summary(pl):	DBI - niezaleny interfejs baz danych dla perla
Name:		perl-DBI
Version:	1.35
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
Patch0:		perl-DBI-changes.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6.1
%if %{?_with_tests:1}%{!?_with_tests:0}
BuildRequires:	perl-PlRPC
BuildRequires:	perl-Storable
BuildRequires:	perl-Net-Daemon
%endif
Obsoletes:	perl-DBI-FAQ
Conflicts:	perl-Attribute-Persistent < 1.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(DBD::<foo>)' 'perl(DBI::Format)' 'perl(DBI::PurePerl)'

%description
The DBI is a database access module for the Perl programming language.
It defines a set of methods, variables, and conventions that provide
a consistent database interface, independent of the actual database
being used.

%description -l pl
DBI jest moduem dostpu do baz danych dla Perla.  Definiuje grup metod,
zmiennych i konwencji, zapewniajcych spjny interfejs do baz danych,
niezaleny od typu aktualnie uywanej bazy.

%package ProfileDumper-Apache
Summary:	DBI::ProfileDumper::Apache - capture DBI profiling data from Apache/mod_perl
Summary(pl):	DBI::ProfileDumper::Apache - przechwytywanie danych parametryzujcych DBI z Apache/mod_perl
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description ProfileDumper-Apache
This module interfaces DBI::ProfileDumper to Apache/mod_perl. Using
this module you can collect profiling data from mod_perl applications.
It works by creating a DBI::ProfileDumper data file for each Apache
process. These files are created in your Apache log directory. You can
then use dbiprof to analyze the profile files.

%description ProfileDumper-Apache -l pl
Modu ten sprzga DBI::ProfileDumper z Apache/mod_perl. Korzystajc z
niego mona pobra dane o parametryzacji z aplikacji mod_perl. Dziaa
on w oparciu o tworzenie przez DBI::ProfileDumper pliku danych dla
kadego procesu Apache'a. Pliki te tworzone s w katalogu logw
Apache'a. Mona je analizowa za pomoc dbiprof.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{perl_sitelib}/DBIx,%{perl_sitearch}/auto/DBD}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo
%attr(755,root,root) %{_bindir}/*
%dir %{perl_sitelib}/DBIx
%{perl_sitearch}/DBI.pm
%dir %{perl_sitearch}/DBI
%{perl_sitearch}/DBI/Const
%{perl_sitearch}/DBI/[DFPS]*.pm
%{perl_sitearch}/DBI/DBD
%{perl_sitearch}/DBD
%dir %{perl_sitearch}/auto/DBD
%dir %{perl_sitearch}/auto/DBI
%{perl_sitearch}/auto/DBI/*.h
%{perl_sitearch}/auto/DBI/Driver.xst
%{perl_sitearch}/auto/DBI/DBI.bs
%attr(755,root,root) %{perl_sitearch}/auto/DBI/DBI.so
%{_mandir}/man1/*
%{_mandir}/man3/DBD*
%{_mandir}/man3/DBI.*
%{_mandir}/man3/DBI::Profile.*
%{_mandir}/man3/DBI::ProfileData.*
%{_mandir}/man3/DBI::ProfileDumper.*
%{_mandir}/man3/DBI::ProxyServer.*
%{_mandir}/man3/DBI::PurePerl.*
%{_mandir}/man3/DBI::[!PW]*

%files ProfileDumper-Apache
%defattr(644,root,root,755)
%{perl_sitearch}/DBI/ProfileDumper
%{_mandir}/man3/DBI::ProfileDumper::*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBI.spec,v $
Revision 1.39.2.4  2003/04/08 20:27:29  ankry
- replaced _noautoreqdep by Conflicts; rel. 2

Revision 1.39.2.3  2003/03/13 00:56:49  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.39.2.2  2003/03/10 16:46:07  ankry
- autoupdated to 1.35

Revision 1.39.2.1  2003/03/07 01:41:23  ankry
- updated to 1.34
- fixed file list
- added ProfileDumper-Apache subpackage

Revision 1.39  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.38  2003/02/23 01:04:33  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 2

Revision 1.37  2003/02/18 15:30:41  ankry
- massive attack: change CPAN URLs

Revision 1.36  2003/01/07 14:00:13  mis
- autoupdated to 1.32

Revision 1.35  2002/10/12 13:45:00  radek
- DBI/Changes.pm is a POD file
- removed DBI::W32ODBC (AFAIK we do not provide Win32::ODBC)
- release 2
STBR

Revision 1.34  2002/08/28 00:04:13  radek
- typo

Revision 1.33  2002/08/27 10:35:50  radek
- tests default off

Revision 1.32  2002/08/25 12:49:41  radek
- removed Win32 files, provided informative summary/description,
  added conditional tests, fixed License field
- version 1.30

Revision 1.31  2002/07/24 00:19:24  ankry
- removed %%{perl_sitearch}/Bundle
- release 4

Revision 1.30  2002/07/16 23:27:55  ankry
- translations, cleaning
- added %%{perl_sitelib}/DBIx, %%{perl_sitearch}/Bundle and
  %{perl_sitearch}/auto/DBD dirs
- new %%doc
- release 3

Revision 1.29  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.28  2002/03/03 22:23:59  marcus
- rel.2.

Revision 1.27  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/17 17:36:49  kloczek
- adapterized.

Revision 1.25  2002/02/17 17:12:07  depesz
- new version, STBR

Revision 1.24  2002/02/10 15:25:32  depesz
adapterized

Revision 1.23  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/09/08 07:35:53  kloczek
- updated to 1.20.

Revision 1.21  2001/07/25 09:07:44  mis
- autoupdated to 1.19

Revision 1.20  2001/07/16 00:09:55  qboosh
- removed Bundle::* - we use rpm dependencies
- added %%{perl_sitearch}/{DBD,DBI,Win32,auto/DBI} dirs
  (all packages that use them require perl-DBI)
- release 2

Revision 1.19  2001/06/06 16:19:00  mis
- autoupdated to 1.18

Revision 1.18  2001/05/30 13:39:47  mis
- autoupdated to 1.16

Revision 1.17  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2001/04/17 12:07:16  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/04/04 18:31:08  mis
- autoupdated to 1.15

Revision 1.13  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.12  2000/12/30 06:49:49  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.11  2000/08/24 04:35:27  yaro
- added missing dbipport.h

Revision 1.10  2000/08/22 09:55:16  kloczek
- updated to 1.14.

Revision 1.9  2000/06/09 07:23:32  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.5  2000/02/17 20:39:10  pius
- updated to 1.13

Revision 1.4  1999/11/25 19:24:14  pius
- updated to 1.09

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/03 11:09:29  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
